# Choose an Accounting Start Date

## Overview &#x20;

In Elven, one of the most important decisions is choosing your accounting start date. &#x20;

{% hint style="info" %}
**What is an accounting start date?** &#x20;

The accounting start date is the day you begin bookkeeping in Elven. All content before this date is reflected in Elven by setting initial balances, and Elven will only import transaction details from after this date. In other words, this day marks the transition from your old system to conducting business in Elven. &#x20;
{% endhint %}

{% hint style="warning" %}
Note: Once the accounting start date is set, it cannot be changed. Choose carefully! &#x20;
{% endhint %}

## Impact &#x20;

Once the accounting start time is set, the following effects occur: &#x20;

### Data Access &#x20;

Elven does not fetch historical transactions earlier than this time. &#x20;

For instance, if you set the accounting start time as January 1, 2024, when you add a wallet account to Elven, even if it contains transactions before January 1, 2024, Elven will only fetch transactions from after that date. &#x20;

In such cases, to ensure the account balance check passes correctly, you need to manually enter the balance data of the wallet as of January 1, 2024. &#x20;

### Initial Balance of Accounting Items &#x20;

If your entity already has accounting data before the chosen start date, such as migrating from an old financial system to Elven, you need to manually enter the initial balances of accounting items as of January 1, 2024. ([How to set account opening balance](/v3/financial-configuration/setting-account-opening-balance.md))


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.elven.com/v3/system-configuration/project-and-entities/choose-an-accounting-start-date.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
